Subject: RFC 4237

From: Alfred Hönes <[email-masked]>
Date: Wed, 30 Nov 2005 14:49:19 +0100 (MEZ)

Hello,
I'd like to sumbit a few comments on the recent RFC 4237,
"Voice Messaging Directory Service", authored by you.

(1)

IMHO, it is unfortunate that the RFC text doesn't state the
value of the IANA assigned OID tree; the text always uses
the placehoulder "IANA-ASSIGNED-OID", even in Section 4.
This deficiency makes the job of the reader more difficult
than necessarily.

To minimize the impact on the text, I propose the following
(minimal) correction:

RFC 4237, in Section 4.1, on page 9, says:

   IANA has registered an LDAP Object Identifier for use in this
   technical specification, according to the following template:

It should say:

   IANA has registered an LDAP Object Identifier for use in this
   technical specification, according to the following template.
   This Object Identifier, 1.3.6.1.1.11, is referred to as the
   "IANA-ASSIGNED-OID" in the body of this memo.

(2)

I suspect that the OID value given in Section 2 is not correct.
It does not match the one listed in section 4.2, on page 10,
4th text line.

Therefore I propose the following erratum:

RFC 4237, at the beginning of Section 2, on page 3, says:

   (IANA-ASSIGNED-OID.1 NAME 'vPIMUser'
           SUP 'top'
           ...          )

it should say:
                       vv
   (IANA-ASSIGNED-OID.1.1 NAME 'vPIMUser'
           SUP 'top'
           ...          )

(3)

There's a small textual flaw at the end of Section 2.5.
I propose the following errata note:

RFC 4237, at the end of Section 2.5, on page 5, says:

   Because ADPCM is a required format, the audio32kadpcm value must be
   listed if this attribute is present.
                                               ^^
it should say:
                                                v
   Because ADPCM is a required format, the audio/32kadpcm value must
   be listed if this attribute is present.

If you agree, the three errata notices proposed above should be
submitted for publication on the RFC-Ed's RFC Errata web pages.

Best Regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+